Bug 66388 - gnomeicu build-manifest differs from released/installed gnomeicu rpm
gnomeicu build-manifest differs from released/installed gnomeicu rpm
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnomeicu (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-09 14:24 EDT by Glen A. Foster
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-09 14:24:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen A. Foster 2002-06-09 14:24:31 EDT
Description of Problem: Manifest of packages built from gnomeicu-0.96.1-3 SRPM
are significantly different from gnomeicu packages shipped with 7.3 release.

Version-Release number of selected component (if applicable):
# rpm -q gnomeicu
gnomeicu-0.96.1-3
# ls -l gnomeicu-0.96.1-3.src.rpm
-rw-r--r--    1 root     root       712691 Sep  7  2001 gnomeicu-0.96.1-3.src.rpm
# md5sum gnomeicu-0.96.1-3.src.rpm
3fe983165f49539427ecde9ab6d38611  gnomeicu-0.96.1-3.src.rpm

How Reproducible: 100% (always)

Steps to Reproduce:
1. Install 7.3 everything
2. rpm -Uvh gnomeicu-0.96.1-3.src.rpm
3. rpm -ba /usr/src/redhat/SPECS/gnoneicu.spec
4. rpm -ql gnomeicu | sort > INST_LIST
5. rpm -qlp /usr/src/redhat/RPMS/i386/gnomeicu-0.96.1-3.i386.rpm | sort > BUILT_LIST
6. diff INST_LIST BUILT_LIST

Actual Results:
17d16
< /usr/share/gnome/help/gnomeicu/C/basics.html
19d17
< /usr/share/gnome/help/gnomeicu/C/index.html
21d18
< /usr/share/gnome/help/gnomeicu/C/starting.html
34a32
> /usr/share/gnome/help/gnomeicu/C/t1.html
35a34,35
> /usr/share/gnome/help/gnomeicu/C/x41.html
> /usr/share/gnome/help/gnomeicu/C/x52.html

Expected Results: No diffs
Comment 1 Havoc Pennington 2002-06-09 14:29:50 EDT
Different version of docbook stuff shipped in final vs. used to build gnomeicu. 
Harmless, not going to do an errata for it, gnomeicu already rebuilt for next
release, so no further action expected here I don't think. Only way to avoid
this would be to require an exact version of docbook, or to rebuild all packages
just before release, neither of those makes sense.

Note You need to log in before you can comment on or make changes to this bug.